net: wireless: bcmdhd: Fix build break with newer versions of gcc
Rom Lemarchand [Wed, 13 Jul 2011 19:15:34 +0000 (12:15 -0700)]
In case the WPA cipher can't be determined the pval and gval variables don't
get updated which generates a warning in newer versions of gcc (tested with
4.5.2). Since the bcmdhd driver gets compiled with warnings treated as errors
this change is needed to fix the build.

Change-Id: Ia483777fee54ac526bb0db7c666fa2bf5df17354
Signed-off-by: Rom Lemarchand <rlemarchand@sta.samsung.com>

drivers/net/wireless/bcmdhd/wl_cfg80211.c

index ef5cd47..22b636d 100644 (file)
@@ -3091,8 +3091,8 @@ wl_check_wpa2ie(struct net_device *dev, bcm_tlv_t *wpa2ie, s32 bssidx)
        u16 wpa_auth = 0;
        u16 count;
        u32 wsec;
-       u32 pval;
-       u32 gval;
+       u32 pval = 0;
+       u32 gval = 0;
        u8* tmp;
        wpa_suite_mcast_t *mcast;
        wpa_suite_ucast_t *ucast;